<h2 mat-dialog-title>{{ data.title }}</h2>
<ng-container *ngIf="studySet; else loading">
  <mat-dialog-content>
    <p mat-dialog-content>{{ data.content }}</p>
    <ng-container *ngFor="let card of studySet.study_cards">
      <mat-card class="preview-card">
        <div class="my-4">
          <h3 class="is-size-3">{{ card.term }}</h3>
          <h5 class="is-size-4">{{ card.definition }}</h5>
        </div>
      </mat-card>
    </ng-container>
  </mat-dialog-content>
  <mat-dialog-actions>
    <button mat-raised-button mat-dialog-close color="primary">Close Preview</button>
    <button mat-raised-button mat-dialog-close *ngIf="this.studySet.original_user_id === data.actualUserId"
      [routerLink]="['/home/study-sets/', this.studySet.id]">
      Open Study Set
    </button>
  </mat-dialog-actions>
</ng-container>

<ng-template #loading>
  <mat-progress-spinner [diameter]="50"></mat-progress-spinner>
</ng-template>
